# This package IS relocatable - just change the prefix in here.

%define prefix /usr
%define sysconfdir      /etc

Summary: ECLiPt Roaster
Name: eroaster
Version: 2.2.0
Release: 0.4
Copyright: GPL
Group: Applications/Archiving
URL: http://eclipt.uni-klu.ac.at
Source: ftp://eclipt.uni-klu.ac.at/pub/projects/%{name}/%{name}-%{version}.tar.gz
Packager: Martin Preishuber <Martin.Preishuber@eclipt.uni-klu.ac.at>
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: python >= 1.5.2, pygtk2 >= 1.99.12, gnome-python2 >= 1.9.11, gnome-python2-bonobo >= 1.99.11, cdrecord >= 2.0, mkisofs >= 2.0, cdda2wav >= 2.0

%description
ECLiPt Roaster is a frontend to cdrecord and mkisofs written in python using the
python-gnome bindings.

%package applet
Summary: ECLiPt Roaster GNOME Applet
Group: Applications/Archiving
Requires: gnome-python2-applet >= 1.99.11, eroaster = 2.2.0

%description applet

%prep

%setup 
./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir}

%build
make

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} sysconfdir=$RPM_BUILD_ROOT/%{sysconfdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%{prefix}/bin/eroaster
%{prefix}/share/eroaster/pixmaps/*
%{prefix}/lib/eroaster/*

%files applet
%defattr(-,root,root)
%{prefix}/bin/eroaster-applet
%{prefix}/share/applets/Utility/eroaster.desktop
%{prefix}/share/pixmaps/eroaster.xpm
%{sysconfdir}/CORBA/servers/eroaster.gnorba

%changelog
* Thu Apr 04 2002 Martin Preishuber <Martin.Preishuber@eclipt.at>
- [2.1.0-0.2]
  make is required for compiling python libraries now
* Thu Nov 01 2001 Martin Preishuber <Martin.Preishuber@eclipt.at>
- [2.0.10-1]
  spec file cleanups
  applet added
* Sat May 05 2001 Martin Preishuber <Martin.Preishuber@eclipt.at>
- [2.0.9-1]
* Sat Jul 29 2000 Martin Preishuber <Martin.Preishuber@eclipt.uni-klu.ac.at>
- [2.0b6-1]
  versions added to requirements
* Sun Jul 16 2000 Martin Preishuber <Martin.Preishuber@eclipt.uni-klu.ac.at>
- [2.0b5-1]
* Mon Jul 10 2000 Martin Preishuber <Martin.Preishuber@eclipt.uni-klu.ac.at>
- [2.0b4-1]
* Sun Feb 06 2000 Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
- [1.99a-1]
* Tue Jan 25 2000 Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
- [1.99-2]
  added cdrecord and cdrecord-mkisofs to the requirements
* Tue Jan 25 2000 Martin Preishuber <Martin.Preishuber@stuco.uni-klu.ac.at>
- [initial spec]
